Debian Bug report logs - #489567
dpkg-cross: bashism in /bin/sh script

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Sun, 6 Jul 2008 21:00:11 UTC

Severity: important

Found in version dpkg-cross/2.2.4

Fixed in version dpkg-cross/2.3.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to freee@debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#489567; Package dpkg-cross. Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: dpkg-cross: bashism in /bin/sh script
Date: Sun, 6 Jul 2008 15:57:02 -0500
Package: dpkg-cross
Severity: important
Version: 2.2.4
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package) 
check I've found your package containing one or more /bin/sh scripts making 
use of bashisms.

checkbashisms' output:
> possible bashism in ./usr/share/bug/dpkg-cross/script line 17 (echo -e):
>                 echo -e "\n-- dpkg-cross2.log --\n" >&3
> possible bashism in ./usr/share/bug/dpkg-cross/script line 20 (echo -e):
>                 echo -e "\n-- (no dpkg-cross2 logfile present) --\n" >&3
> possible bashism in ./usr/share/bug/dpkg-cross/script line 23 (echo -e):
>                 echo -e "\n-- gccross2.log --\n" >&3
> possible bashism in ./usr/share/bug/dpkg-cross/script line 26 (echo -e):
>                 echo -e "\n-- (no gccross2 logfile present) --\n" >&3
> possible bashism in ./usr/share/bug/dpkg-cross/script line 33 (echo -e):
>                 echo -e "\n-- $HOME/.dpkg-cross/cross-compile --\n" >&3
> possible bashism in ./usr/share/bug/dpkg-cross/script line 36 (echo -e):
>                 echo -e "\n-- ( $HOME/.dpkg-cross/cross-compile present,
> but not submitted) --\n" >&3 
> possible bashism in ./usr/share/bug/dpkg-cross/script line 42 (echo -e):
> echo -e "\n-- /etc/dpkg-cross/cross-compile --\n" >&3
> possible bashism in ./usr/share/bug/dpkg-cross/script line 45 (echo -e):
>         echo -e "\n-- (/etc/dpkg-cross/cross-compile not submitted) --\n"
> >&3

Not using bash (or a Debian Policy conformant shell interpreter which does 
provide such an extra feature) as /bin/sh is likely to lead to errors or 
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there's a 
release goal for Lenny to make dash the default /bin/sh[1].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information please refer to the Debian Policy section 10.4 supporting 
this argument at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 07 Jul 2008 08:51:09 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 489567-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 489567-close@bugs.debian.org
Subject: Bug#489567: fixed in dpkg-cross 2.3.0
Date: Tue, 15 Jul 2008 14:47:04 +0000
Source: dpkg-cross
Source-Version: 2.3.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.3.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.3.0.dsc
dpkg-cross_2.3.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.3.0.tar.gz
dpkg-cross_2.3.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.3.0_all.deb
libdebian-dpkgcross-perl_2.3.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.3.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 489567@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Jul 2008 14:10:28 +0100
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.3.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 463588 483076 489567
Changes: 
 dpkg-cross (2.3.0) unstable; urgency=low
 .
   * Same change as apt-cross in the buginfo.sh script:
   * bashism in /bin/sh script (Closes: #489567)
   * corrupted pkg-config data for libcairo-directfb (Closes: #483076)
   * -a amd64 should search /emul/ia32-linux (Closes: #463588)
Checksums-Sha1: 
 a59de12706e85d42404100c2c466687f15ae428d 1259 dpkg-cross_2.3.0.dsc
 83bd95e30960d0461e41bc4304adcd8c388816d7 84931 dpkg-cross_2.3.0.tar.gz
 8eb38b306d3a15aa1c02a51a289ab3703471a499 49192 dpkg-cross_2.3.0_all.deb
 7d3fbb77e7bb4a5a176fabf78378439494fbd5ed 30802 libdebian-dpkgcross-perl_2.3.0_all.deb
Checksums-Sha256: 
 60a1ee6e850bf66e335dceab69d98a13c484226acb8dc2caf160df0291913799 1259 dpkg-cross_2.3.0.dsc
 0e9039daa32c8437c24af7111c7a80c7d47d8277db8e8f4bbb0468e192efe85f 84931 dpkg-cross_2.3.0.tar.gz
 8e7429df31f3f05efaaf783837ba30afed06e3fc8fb64799be6de86ec593fe6b 49192 dpkg-cross_2.3.0_all.deb
 844fc3a7c2b2e309f40478c8e28e01702873a3a50eb9c568f8b347b892b7587f 30802 libdebian-dpkgcross-perl_2.3.0_all.deb
Files: 
 9ff000ca96d9812f9b7380cb2a22927d 1259 utils extra dpkg-cross_2.3.0.dsc
 8672b454f53493b7302578d831ea01b9 84931 utils extra dpkg-cross_2.3.0.tar.gz
 0b51a566ef5683d34e6ef66132799329 49192 utils extra dpkg-cross_2.3.0_all.deb
 f5267c14cc138bad64d7ee7427cacea9 30802 perl extra libdebian-dpkgcross-perl_2.3.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkh8tRcACgkQiAEJSii8s+PzfwCfYQxWU0BSjlll2nLr16khxpPY
gR8Anjd1DDoYka/IaP2IFfiip2iOc5rh
=55fC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Aug 2008 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:36:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.